# Uses of Class
org.apache.qpid.proton.codec.ShortType

Packages that use ShortType
Package
Description
org.apache.qpid.proton.codec

## Uses of ShortType in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return ShortType
Modifier and Type
Method
Description
`ShortType`
ShortType.ShortEncoding.`getType()`
Constructors in org.apache.qpid.proton.codec with parameters of type ShortType
Modifier
Constructor
Description
``
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`